/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Port;

/**
 * Exception raised on trying to walk a bad formed lambda-net.
 */
public class BadFormedException extends OperatorException {

	public BadFormedException() {
		super();
	}

	public BadFormedException(Port port) {
		super(port);
	}

	public BadFormedException(Port port, String message) {
		super(port, message);
	}
}
