/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Operator;

/**
 * Exception raised because an Operator has not the same mark than the others.
 */
public class MarkedDifferentlyException extends OperatorException {

	public MarkedDifferentlyException() {
		super();
	}

	public MarkedDifferentlyException(Operator operator) {
		super(operator);
	}

	public MarkedDifferentlyException(Operator operator, String message) {
		super(operator, message);
	}
}
