/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Operator;

/**
 * Exception raised on trying to use an Operator that has been returned
 *   to the factory.
 */
public class ReturnedToFactoryException extends OperatorException {

	public ReturnedToFactoryException() {
		super();
	}

	public ReturnedToFactoryException(Operator operator) {
		super(operator);
	}

	public ReturnedToFactoryException(Operator operator, String message) {
		super(operator, message);
	}
}
