/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Port;

/**
 * Exception raised because an x-interaction has not been reduced.
 */
public class UnreducedXInteractionException extends OperatorException {

	public UnreducedXInteractionException() {
		super();
	}

	public UnreducedXInteractionException(Port port) {
		super(port);
	}

	public UnreducedXInteractionException(Port port, String message) {
		super(port, message);
	}
}
