/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.model;

/**
 * Listener about Operators connections and disconnections.
 */
public interface ConnectionListener {
	
	/**
	 * Notify a connection between two Ports.
	 * The notification occurs after the connection.
	 * @param port1 a Port.
	 * @param port2 a Port.
	 */
	public void notifyConnection(Port port1, Port port2);
}
