/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.util;

/**
 * Notifier of interactions.
 */
public interface InteractionListener {

	/**
	 * Notify the conclusion of an interaction.
	 * @param interactionReport the report of the interaction : one of the
	 *   Operator.INTERACTION_* constants.
	 */
	public void notifyInteraction(int interactionReport);
}
