/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Exception raised on verifying the well-formedness of a bad Term.
 */
public class BadFormedException extends TermException {

	public BadFormedException() {
		super();
	}

	public BadFormedException(Term term) {
		super(term);
	}

	public BadFormedException(Term term, String message) {
		super(term, message);
	}
}
