/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Exception raised on searching the binding Abstraction of a Leaf or EndOfScope.
 */
public class MissingContextException extends TermException {

	public MissingContextException() {
		super();
	}

	public MissingContextException(Term term) {
		super(term);
	}

	public MissingContextException(Term term, String message) {
		super(term, message);
	}
}
