/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Exception raised on trying to use a Term after returning it to the factory.
 */
public class ReturnedToFactoryException extends TermException {

	public ReturnedToFactoryException() {
		super();
	}

	public ReturnedToFactoryException(Term term) {
		super(term);
	}

	public ReturnedToFactoryException(Term term, String message) {
		super(term, message);
	}
}
