/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.impl;

import org.xmloperator.lambda.tree.model.Abstraction;
import org.xmloperator.lambda.tree.model.Term;

/**
 * Abstraction implementation.
 */
final class AbstractionImpl extends TermWithBodyImpl implements Abstraction {

	AbstractionImpl(TermFactoryImpl termFactory) {
		super(termFactory);
	}
	
	//////////////////////
	// Term implementation
	//////////////////////

	public void returnToFactory() {
		super.returnToFactory();
		this.termFactory.returnAbstraction(this);
	}

	public int getType() {
		return Term.TYPE_ABSTRACTION;
	}
	
	public boolean isAbstraction() {
		return true;
	}
}
