/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Port;

/**
 * Exception raised on trying to connect two Ports whose one or the two ones
 *   are already connected.
 */
public class AlreadyConnectedException extends OperatorException {

	public AlreadyConnectedException() {
		super();
	}

	public AlreadyConnectedException(Port port) {
		super(port);
	}

	public AlreadyConnectedException(Port port, String message) {
		super(port, message);
	}
}
