/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.exception;

import org.xmloperator.lambda.net.model.Port;

/**
 * Exception raised because a Port is found free.
 */
public class FreePortException extends OperatorException {

	public FreePortException() {
		super();
	}

	public FreePortException(Port port) {
		super(port);
	}

	public FreePortException(Port port, String message) {
		super(port, message);
	}
}
