/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.net.impl;

import org.xmloperator.lambda.net.model.Operator;
import org.xmloperator.lambda.net.model.OperatorList;
import org.xmloperator.lambda.shared.BaseStack;
import org.xmloperator.lambda.shared.ObjectArrayFactory;

/**
 * OperatorList implementation.
 */
public class OperatorListImpl extends BaseStack implements OperatorList {

	public OperatorListImpl(ObjectArrayFactory objectArrayFactory) {
		super(objectArrayFactory, false);
	}

	//////////////////////////////
	// OperatorList implementation
	//////////////////////////////

	public Operator get(int index) {
		return (Operator) this.objects[index];
	}

	public void add(Operator operator) {
		this.pushObject(operator);
	}

	public boolean remove(Operator operator) {
		return this.removeObject(operator);
	}
}
