/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Exception raised when another Term is expected.
 */
public class IncorrectTermException extends TermException {

	public IncorrectTermException() {
		super();
	}

	public IncorrectTermException(Term term) {
		super(term);
	}

	public IncorrectTermException(Term term, String message) {
		super(term, message);
	}
}
