/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.exception;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Exception raised when some number of beta-reduction has not be sufficient
 *   for obtaining a normal formal.
 */
public class NotInNormalFormException extends TermException {

	public NotInNormalFormException() {
		super();
	}

	public NotInNormalFormException(Term term) {
		super(term);
	}

	public NotInNormalFormException(Term term, String message) {
		super(term, message);
	}
}
