/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.generate;

import org.xmloperator.lambda.tree.model.Term;

/**
 * Term iterator.
 */
public interface TermIterator {

	/**
	 * Returns <tt>true</tt> if one or more Term(s) are available.
	 * @return <tt>true</tt> if one or more Term(s) are available.
	 */
	public boolean hasNext();

	/**
	 * Returns the next Term.
	 * @return the next Term.
	 */
	public Term next();
}
