/**
 * Copyright (c) 2004 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda/).
 */
package org.xmloperator.lambda.tree.impl;

import org.xmloperator.lambda.tree.model.Leaf;
import org.xmloperator.lambda.tree.model.Term;

/**
 * Leaf implementation.
 */
final class LeafImpl extends TermImpl implements Leaf {

	LeafImpl(TermFactoryImpl termFactory) {
		super(termFactory);
	}

	//////////////////////
	// Term implementation
	//////////////////////

	public void returnToFactory() {
		super.returnToFactory();
		this.termFactory.returnLeaf(this);
	}

	public int getType() {
		return Term.TYPE_LEAF;
	}
	
	public boolean isLeaf() {
		return true;
	}
}
